Subject: Re: bug#12971: 24.2.50; mouse-1 in info header lines tooltips
From: Chong Yidong <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Nov 2012 16:16:12 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

>   In mouse-drag-line don't exit tracking prematurely (Bug#12006).
>
>   * mouse.el (popup-menu): Fix doc-string and re-indent code.
>   (mouse-drag-line): Don't exit tracking when a switch-frame or
>   switch-window event occurs (Bug#12006).

This change had a mistake: it needed to read the up-event even if the
line is not draggable, so that the follow-link processing can take
place.  Fixed in the emacs-24 branch.